<template>
  <div>
    <k2-stage 
        :config="stageConfig" 
        ref="stage"
        @dragstart="handleDragStart"
        @dragend="handleDragEnd"
        @mousedown="handleStageMouseDown"
        @touchstart="handleStageMouseDown"
        >
        <k2-layer ref="layer">
          <component v-for="(element, key) in orderedEements" 
            :is="`k2-${element.type}`" 
            :key="key" 
            :config="getElementDynamicConfig(element)"
            @transformend="handleTransformEnd"
            />
          <k2-transformer ref="transformer" :config="{rotateEnabled: false}" />
        </k2-layer>
    </k2-stage>
  </div>
</template>

<script src="./konva-canvas.js">